#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: okteta
Summary: Editor for raw file data as Hex values
Version: 17.12.2
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: http://download.kde.org/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5ScriptTools)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)

BuildRequires: kf5-macros
BuildRequires: kbookmarks-devel
BuildRequires: kcodecs-devel
BuildRequires: kcompletion-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kdbusaddons-devel
BuildRequires: kdoctools-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kcmutils-devel
BuildRequires: kio-devel
BuildRequires: knewstuff-devel
BuildRequires: kparts-devel
BuildRequires: kservice-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kxmlgui-devel

BuildRequires: cmake(KF5Crash)

BuildRequires: pkgconfig(qca2-qt5)

Conflicts: kdesdk4-core < 1:4.10.5

Obsoletes: kbugbuster < 1:4.5.76
# conflicts with mga5 packages
Conflicts:      kde-l10n-ar < 17.04.3-1
Conflicts:      kde-l10n-bg < 17.04.3-1
Conflicts:      kde-l10n-bs < 17.04.3-1
Conflicts:      kde-l10n-ca < 17.04.3-1
Conflicts:      kde-l10n-ca-valencia < 17.04.3-1
Conflicts:      kde-l10n-cs < 17.04.3-1
Conflicts:      kde-l10n-da < 17.04.3-1
Conflicts:      kde-l10n-de < 17.04.3-1
Conflicts:      kde-l10n-el < 17.04.3-1
Conflicts:      kde-l10n-en_GB < 17.04.3-1
Conflicts:      kde-l10n-en_US < 17.04.3-1
Conflicts:      kde-l10n-es < 17.04.3-1
Conflicts:      kde-l10n-et < 17.04.3-1
Conflicts:      kde-l10n-eu < 17.04.3-1
Conflicts:      kde-l10n-fa < 17.04.3-1
Conflicts:      kde-l10n-fi < 17.04.3-1
Conflicts:      kde-l10n-fr < 17.04.3-1
Conflicts:      kde-l10n-ga < 17.04.3-1
Conflicts:      kde-l10n-gl < 17.04.3-1
Conflicts:      kde-l10n-he < 17.04.3-1
Conflicts:      kde-l10n-hi < 17.04.3-1
Conflicts:      kde-l10n-hr < 17.04.3-1
Conflicts:      kde-l10n-hu < 17.04.3-1
Conflicts:      kde-l10n-ia < 17.04.3-1
Conflicts:      kde-l10n-id < 17.04.3-1
Conflicts:      kde-l10n-is < 17.04.3-1
Conflicts:      kde-l10n-it < 17.04.3-1
Conflicts:      kde-l10n-ja < 17.04.3-1
Conflicts:      kde-l10n-kk < 17.04.3-1
Conflicts:      kde-l10n-km < 17.04.3-1
Conflicts:      kde-l10n-ko < 17.04.3-1
Conflicts:      kde-l10n-lt < 17.04.3-1
Conflicts:      kde-l10n-lv < 17.04.3-1
Conflicts:      kde-l10n-mr < 17.04.3-1
Conflicts:      kde-l10n-nb < 17.04.3-1
Conflicts:      kde-l10n-nds < 17.04.3-1
Conflicts:      kde-l10n-nl < 17.04.3-1
Conflicts:      kde-l10n-nn < 17.04.3-1
Conflicts:      kde-l10n-pa < 17.04.3-1
Conflicts:      kde-l10n-pl < 17.04.3-1
Conflicts:      kde-l10n-pt < 17.04.3-1
Conflicts:      kde-l10n-pt_BR < 17.04.3-1
Conflicts:      kde-l10n-ro < 17.04.3-1
Conflicts:      kde-l10n-ru < 17.04.3-1
Conflicts:      kde-l10n-sk < 17.04.3-1
Conflicts:      kde-l10n-sl < 17.04.3-1
Conflicts:      kde-l10n-sr < 17.04.3-1
Conflicts:      kde-l10n-sv < 17.04.3-1
Conflicts:      kde-l10n-tr < 17.04.3-1
Conflicts:      kde-l10n-ug < 17.04.3-1
Conflicts:      kde-l10n-uk < 17.04.3-1
Conflicts:      kde-l10n-wa < 17.04.3-1
Conflicts:      kde-l10n-zh_CN < 17.04.3-1
Conflicts:      kde-l10n-zh_TW < 17.04.3-1

%description
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files -f %name.lang
%_sysconfdir/xdg/okteta-structures.knsrc
%_kf5_bindir/struct2osd
%_kf5_bindir/okteta
%_kf5_datadir/applications/*.desktop
%_kf5_appdatadir/*.xml
%_kf5_datadir/okteta
%_kf5_datadir/config.kcfg/structviewpreferences.kcfg
%_kf5_iconsdir/*/*/apps/okteta.png
%_kf5_datadir/mime/packages/okteta.xml
%_qt5_plugindir/oktetapart.so
%_kf5_datadir/kxmlgui5/okteta
%_kf5_datadir/kxmlgui5/oktetapart

#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires:  %name >= %{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%name

#------------------------------------------------------------------------------


%define okteta2core_major 2
%define libokteta2core %mklibname okteta2core %{okteta2core_major}

%package -n %libokteta2core
Summary: Runtime library for okteta
Group: System/Libraries
Conflicts: %{_lib}okteta2core0 < 1:4.8.97-2
Obsoletes: %{_lib}okteta2core0 < 1:4.8.97-2

%description -n %libokteta2core
Runtime library for okteta.

%files -n %libokteta2core
%_kf5_libdir/libokteta2core.so.%{okteta2core_major}
%_kf5_libdir/libokteta2core.so.0.*

#------------------------------------------------------------------------------

%define okteta2gui_major 2
%define libokteta2gui %mklibname okteta2gui %{okteta2gui_major}

%package -n %libokteta2gui
Summary: Runtime library for okteta
Group: System/Libraries
Conflicts: %{_lib}okteta2gui0 < 1:4.8.97-2
Obsoletes: %{_lib}okteta2gui0 < 1:4.8.97-2

%description -n %libokteta2gui
Runtime library for okteta.

%files -n %libokteta2gui
%_kf5_libdir/libokteta2gui.so.%{okteta2gui_major}
%_kf5_libdir/libokteta2gui.so.0.*

#------------------------------------------------------------------------------

%define kasten3okteta1gui_major 1
%define libkasten3okteta1gui %mklibname kasten3okteta1gui %{kasten3okteta1gui_major}

%package -n %libkasten3okteta1gui
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten3okteta1gui0 < 1:4.8.97-2

%description -n %libkasten3okteta1gui
Runtime library for okteta.

%files -n %libkasten3okteta1gui
%_kf5_libdir/libkasten3okteta1gui.so.%{kasten3okteta1gui_major}
%_kf5_libdir/libkasten3okteta1gui.so.0.*

#------------------------------------------------------------------------------

%define kasten3okteta1core_major 1
%define libkasten3okteta1core %mklibname kasten3okteta1core %{kasten3okteta1core_major}

%package -n %libkasten3okteta1core
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten3okteta1core0 < 1:4.8.97-2

%description -n %libkasten3okteta1core
Runtime library for okteta.

%files -n %libkasten3okteta1core
%_kf5_libdir/libkasten3okteta1core.so.%{kasten3okteta1core_major}
%_kf5_libdir/libkasten3okteta1core.so.0.*

#------------------------------------------------------------------------------

%define kasten3okteta1controllers_major 1
%define libkasten3okteta1controllers %mklibname kasten3okteta1controllers %{kasten3okteta1controllers_major}

%package -n %libkasten3okteta1controllers
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten3okteta1controllers0 < 1:4.8.97-2

%description -n %libkasten3okteta1controllers
Runtime library for okteta.

%files -n %libkasten3okteta1controllers
%_kf5_libdir/libkasten3okteta1controllers.so.%{kasten3okteta1controllers_major}
%_kf5_libdir/libkasten3okteta1controllers.so.0.*

#------------------------------------------------------------------------------

%define kasten3gui_major 3
%define libkasten3gui %mklibname kasten3gui %{kasten3gui_major}

%package -n %libkasten3gui
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten3gui0 < 1:4.8.97-2

%description -n %libkasten3gui
Runtime library for okteta.

%files -n %libkasten3gui
%_kf5_libdir/libkasten3gui.so.%{kasten3gui_major}
%_kf5_libdir/libkasten3gui.so.0.*

#------------------------------------------------------------------------------

%define kasten3core_major 3
%define libkasten3core %mklibname kasten3core %{kasten3core_major}

%package -n %libkasten3core
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2core0 < 1:4.8.97-2

%description -n %libkasten3core
Runtime library for okteta.

%files -n %libkasten3core
%_kf5_libdir/libkasten3core.so.%{kasten3core_major}
%_kf5_libdir/libkasten3core.so.0.*

#------------------------------------------------------------------------------

%define kasten3controllers_major 3
%define libkasten3controllers %mklibname kasten3controllers %{kasten3controllers_major}

%package -n %libkasten3controllers
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten3controllers0 < 1:4.8.97-2

%description -n %libkasten3controllers
Runtime library for okteta.

%files -n %libkasten3controllers
%_kf5_libdir/libkasten3controllers.so.%{kasten3controllers_major}
%_kf5_libdir/libkasten3controllers.so.0.*


#------------------------------------------------------------------------------


%package    devel
Summary:    Header files for %{name}
Group:      Development/KDE and Qt
Provides:   okteta-devel = %epoch:%version-%release

Requires: %libokteta2core = %epoch:%version
Requires: %libkasten3okteta1gui = %epoch:%version
Requires: %libokteta2gui = %epoch:%version
Requires: %libkasten3okteta1core = %epoch:%version
Requires: %libkasten3okteta1controllers = %epoch:%version
Requires: %libkasten3gui = %epoch:%version
Requires: %libkasten3core = %epoch:%version
Requires: %libkasten3controllers = %epoch:%version
Conflicts: kdeutils4-devel < 4.5.71
Conflicts: kdesdk4-devel < 1:4.10.80
Conflicts: kremotecontrol < 4.5.71

%description  devel
This package includes the header files you will need to compile applications
against %{name}.

%files devel
%_includedir/*
%_kf5_libdir/libkasten3okteta1controllers.so
%_kf5_libdir/libkasten3core.so
%_kf5_libdir/libkasten3gui.so
%_kf5_libdir/libkasten3okteta1core.so
%_kf5_libdir/libokteta2core.so
%_kf5_libdir/libkasten3controllers.so
%_kf5_libdir/libokteta2gui.so
%_kf5_libdir/libkasten3okteta1gui.so
%_kf5_libdir/cmake/KastenControllers
%_kf5_libdir/cmake/KastenCore
%_kf5_libdir/cmake/KastenGui
%_kf5_libdir/cmake/OktetaCore
%_kf5_libdir/cmake/OktetaGui
%_kf5_libdir/cmake/OktetaKastenControllers
%_kf5_libdir/cmake/OktetaKastenCore
%_kf5_libdir/cmake/OktetaKastenGui
%_qt5_plugindir/designer/oktetawidgets.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang %name --all-name


%changelog
* Sat Feb 17 2018 neoclust <neoclust> 1:17.12.2-1.mga6
+ Revision: 1202362
- New version 17.12.2
- New version 17.12.1

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090164
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076906
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072099
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067416
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061480
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050743
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047396
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040147
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012637
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004425
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 995004
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991261
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987539
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922703
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 911977
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906539
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
- Plasma Mass Rebuild - Rebuild for new Plasma
- New version 15.07.90
- New version 15.07.80
- New version 15.04.3

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800675
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787773
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 747864
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734627
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 683172
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667561
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663073
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656751
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653936
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652047
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636810
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625577
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615658
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609470
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606911
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603418
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600751
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590538
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589255
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555069
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551341
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540389
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490816
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476899
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465239
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458987
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455372
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448013
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package okteta

